Subject: [Sipping] Re: Betr.: Real time streaming text conversations

From: "Paul E. Jones" <[email-masked]>
Date: Tue, 29 Jul 2003 21:20:49 -0400

Arnoud,

During some earlier discussions, I pointed out that ICQ already has
character-at-a-time capability.  It's a very popular instant messaging
client.  I think it's very unfortunate that SIMPLE didn't take that route.
The "all at once" text message is really "old style" in my opinion... not
better than e-mail, really.  OK.. a little.

Character-at-a-time is stressful on the servers, though.  Rather than
processing 100 messages per chat session, for example, it might be 100 * 30
messages.

I think that the best solution would have been to design SIMPLE to use SIP
for session establishment and simply open an RFC 2793-type of RTP stream.  I
understand that there was a desire to be able to pass formatting information
and other content, which was not precisely compatible with RFC 2793.  Even
so, I think that if we were to treat the RFC 2793 stream as a stream of
HTML, that might have satisfied most people.  I don't know what other things
people expected to get from passing thing as blocks of text.

I really liked ICQ's character-at-a-time mode and I think others would have
found it preferable.  It allows for much faster message exchange, as one can
start typing immediately after the other person finishes.. or even start out
right away.  It's possible to have a real interactive argument with ICQ :-)

Paul

----- Original Message ----- 
From: "A vWijk" <[email-masked]>
To: <[email-masked]>; <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Monday, July 28, 2003 9:59 AM
Subject: Betr.: Real time streaming text conversations

> Hello Cullen.
>
> Good to "hear" that you agree. :-)
>
> About IM, I agree. character by character is not going to kill IM.
> I already told a few IM people that such real-time streaming text can be
added as a "chat" option.
> So that I can for example fire off a few IM messages about something. And
the other side reacts and we then both enter chat mode to discuss the
proceedings.
> Will this become popular? Oh yes, think of the good old days before HTML.
What was one of the most used functions of the web? IRC and ntalk/talk.
>
> About the sipdev meeting. Well yes, a MUST is very good. But I see it as
the beginning. The first step. We still have a lot of work to do. And a
paper explaining to phone manufactures that implementing this requirement
gives them a competitive advantage because everyone is going to want it. Is
a very good idea.
> Do you mean a kind of Internet draft or white paper?
> But I am quite willing to help and I am positive that others will help
too.
>
> Greetz
>
> Arnoud
>
> PS Currently a BCP is being written, though that is more about
implementation itself.
>
>
>
> Drs. Arnoud A. T. van Wijk
> Viataal
> Research & Development
> Afdeling RDS
> Theerestraat 42
> 5271 GD Sint-Michielsgestel
> The Netherlands.
> Mobile: +31651921948
> International text telephone: +31735588408
>
> >>> Cullen Jennings <[email-masked]> 24-07-03 23:47 >>>
> On 7/13/03 5:08, "A vWijk" <[email-masked]> wrote:
>
> > I just want to give them a very clear message how important real-time
> > streaming text conversation will be for hundred of millions of users.
And
> > while it will be vitally important for the hearing and speech impaired,
other
> > users will also benefit from this capability. (RFC 2793 text in every
SIP
> > telephony device, regardless presence of a keyboard or screen).
> >
> > greetz
> >
> > Arnoud van Wijk
> >
>
> I think this is a very good message to get out. The hearing and speech
> impaired community has significant experience with using text messaging to
> communicate as quickly as possible. This community resoundingly says that
> character by character improves the communication experience. I can not
see
> any reason that this same fact will not apply to anyone using IM.
>
> The hearing and speech impaired community should make sure that the SIMPLE
> and XMPP WG understand that IM systems should include an option of
character
> by character sending and display of messages.
>
> The details of how this is implemented are really less important (yah I
know
> the folks like 3GPP will need a bandwidth efficient way of doing this).
>
> Cullen
>
> PS. IMHO, The IETF putting a MUST in some random document is less likely
to
> make this happen than a bunch of highly qualified people writing a
document
> that explains to phone manufactures that implementing this requirement
gives
> them a competitive advantage because everyone is going to want it.
>
>
>

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP